#include "../std.h"

#include "../rsl/parse_rsl.h"
#include "../transfer/url_map.h"
#include "../datamove/datapoint.h"
#include "../datamove/datahandle.h"

int main(int argc,char* argv[]) {
  if(argc<2) return -1;
  string rsl = argv[1];
  JobLocalDescription job;

  if(!parse_rsl(rsl,job)) return 1;
  
  list<FileData>::iterator file;
  for(file=job.inputdata.begin();file!=job.inputdata.end();++file) {
    if(file->has_lfn()) {
      cerr<<file->lfn<<endl;
      DataPoint source(file->lfn.c_str());
      if(!source) {
        cerr<<"Failed to acquire source: "<<source<<endl;
        return 2;
      };
      if(!source.meta_resolve(true,UrlMap())) {
        cerr<<"Failed to resolve source: "<<source<<endl;
        return 3;
      };
      DataHandle source_h(&source);
      if(!source_h.check()) {
        cerr<<"Failed to check source: "<<source<<endl;
        return 3;
      };
    };
  };
  return 0;
}

